/*--------------------------------------------------------------------------------------------------
//
//     File Name:   StuffItEngine.h
//
//   Description:   Master include for all of the StuffIt SDK.
//
//--------------------------------------------------------------------------------------------------
//
//  Copyright (c) 1992-2004 Allume Systems, Inc.
//
//  This source code and specific concepts contained herein are Confidential
//  Information and Property of Allume Systems.
//  Distribution is prohibited without written permission of Allume Systems.
//
//--------------------------------------------------------------------------------------------------
//
//  Allume Systems, Inc.                   http://www.allume.com/
//  245 Westridge Drive                    (831) 761-6200
//  Watsonville, CA  95076                 (831) 761-6206 FAX
//
//--------------------------------------------------------------------------------------------------
//  $Id: StuffIt.h 306 2006-10-06 03:14:54Z glenn $
//------------------------------------------------------------------------------------------------*/

/*!
	@header StuffIt
	
	Master include for all of the StuffIt SDK.
*/

#ifndef __STUFFIT_H__
#define __STUFFIT_H__

#include <StuffIt/StuffItSDKConfig.h>

#include <StuffIt/StuffItSDKTypes.h>
#include <StuffIt/StuffItSDK.h>
#include <StuffIt/StuffItSDKErrors.h>
#include <StuffIt/StuffItSDKFiles.h>
#include <StuffIt/StuffItSDKStrings.h>
#include <StuffIt/StuffItSDKFormats.h>
#include <StuffIt/StuffItSDKOptions.h>
#if !__SUPPRESS_UNSUPPORTED_STUFFIT_SDK_APIS__
#include <StuffIt/StuffItSDKCallbacks.h>
#endif
#include <StuffIt/StuffItSDKExpansion.h>
#include <StuffIt/StuffItSDKCompression.h>
#include <StuffIt/StuffItSDKSegments.h>
#include <StuffIt/StuffItSDKSelfExtracting.h>
#include <StuffIt/StuffItSDKArchives.h>
#include <StuffIt/StuffItSDKArchiveObjects.h>
#include <StuffIt/StuffItSDKReturnReceipt.h>
#include <StuffIt/StuffItSDKUtilities.h>
#include <StuffIt/StuffItSDKNotifications.h>

#endif /* __STUFFIT_H__ */
