/*--------------------------------------------------------------------------------------------------
//
//     File Name:   StuffItSDKTypes.h
//
//   Description:   Basic types used by the StuffIt Engine SDK.
//
//--------------------------------------------------------------------------------------------------
//
//  Copyright (c) 1992-2004 Allume Systems, Inc.
//
//  This source code and specific concepts contained herein are Confidential
//  Information and Property of Allume Systems.
//  Distribution is prohibited without written permission of Allume Systems.
//
//--------------------------------------------------------------------------------------------------
//
//  Allume Systems, Inc.                   http://www.allume.com/
//  245 Westridge Drive                    (831) 761-6200
//  Watsonville, CA  95076                 (831) 761-6206 FAX
//
//--------------------------------------------------------------------------------------------------
//  $Id: StuffItSDKTypes.h 306 2006-10-06 03:14:54Z glenn $
//------------------------------------------------------------------------------------------------*/

/*! \file StuffItSDKTypes.h
	
	\brief Basic types used by the StuffIt Engine SDK.
*/

#ifndef STUFFITSDKTYPES_H
#define STUFFITSDKTYPES_H

#ifndef STUFFITSDKCONFIG_H
#include <StuffIt/StuffItSDKConfig.h>
#endif

#if PRAGMA_ONCE
#pragma once
#endif

#ifdef __cplusplus
extern "C" {
#endif

#if PRAGMA_IMPORT
#pragma import on
#endif


/*!
	A four character value.
*/
typedef uint32_t							FourCharType;

/*!
	Container that holds the date in the native size of the platform.
*/
typedef NativeDateTime						DateTimeRef;

#ifdef PRAGMA_IMPORT_OFF
#pragma import off
#elif PRAGMA_IMPORT
#pragma import reset
#endif

#ifdef __cplusplus
}
#endif

#endif